gr::mapper::pream_sync_correlator Class Reference

`#include <pream_sync_correlator.h>`

## Public Member Functions

| pream_sync_correlator ()
| pream_sync_correlator (int N, gr_complex *symbols)
| ~pream_sync_correlator ()
void | next_symbol (gr_complex next_sym)
float | xcorr_value (void)
float | acquire_value (void)
void | reset (void)
void | rewind (void)
pream_sync_correlator * | clone () const

## Constructor & Destructor Documentation

## pream_sync_correlator() [1/2]

gr::mapper::pream_sync_correlator::pream_sync_correlator | ( |  | ) |

## pream_sync_correlator() [2/2]

gr::mapper::pream_sync_correlator::pream_sync_correlator | ( | int | N,
|  | gr_complex * | symbols
| ) |  |

## ~pream_sync_correlator()

gr::mapper::pream_sync_correlator::~pream_sync_correlator | ( |  | ) |

## Member Function Documentation

## acquire_value()

float gr::mapper::pream_sync_correlator::acquire_value | ( | void |  | ) |

## clone()

pream_sync_correlator * gr::mapper::pream_sync_correlator::clone | ( |  | ) | const

## next_symbol()

void gr::mapper::pream_sync_correlator::next_symbol | ( | gr_complex | next_sym | ) |

## reset()

void gr::mapper::pream_sync_correlator::reset | ( | void |  | ) |

## rewind()

void gr::mapper::pream_sync_correlator::rewind | ( | void |  | ) |

## xcorr_value()

float gr::mapper::pream_sync_correlator::xcorr_value | ( | void |  | ) |

The documentation for this class was generated from the following file:

- pream_sync_correlator.h